project(builder_sample LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt5 COMPONENTS Core Widgets REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(Python3 COMPONENTS Development REQUIRED)  

include_directories(${Python3_INCLUDE_DIRS})  
link_directories(${Python3_LIBRARIES})  
include_directories(${EIGEN3_INCLUDE_DIR})

add_executable(builder_sample
  main.cpp
  advanced.h
  advanced.cpp
)

target_link_libraries(builder_sample Qt5::Core Qt5::Widgets)
target_link_libraries(builder_sample ${Python3_LIBRARIES})
 